package Model;

import java.util.*;

/**
 * This class represents utterances in combination with the corresponding meanings.
 *
 */
public class Situation {
	
//Attributes	
private LinkedList<Word> utterance_;
private LinkedList<Meaning> scene_;
private String originalUtterance;


/**
 * Standard constructor
 */
public Situation(){
	utterance_ 	= new LinkedList<Word>();
	scene_ 		= new LinkedList<Meaning>();
	originalUtterance = new String();
}

/**
 * Explicit constructor
 * 
 * @param a	
 * 			List of words in this situation
 * @param b 
 * 			List of meanings for these words
 */
public Situation(LinkedList<Word> a, LinkedList<Meaning> b, String s){
	utterance_ = a;
	scene_ = b;
	originalUtterance = s;
}

//setter
public void setUtterance(LinkedList<Word> a){
	utterance_ = a;
}

public void setScene(LinkedList<Meaning> a){
	scene_ = a;
}

public void setOriginalUtterance(String s){
	originalUtterance = s;
}

//getter
public LinkedList<Word> getUtterance(){
	return utterance_;
}
public LinkedList<Meaning> getScene(){
	return scene_;
}

public String getOriginalUtterance(){
	return originalUtterance;
}
}
